<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.ThingInfoMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.ThingInfo">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="power" property="power" jdbcType="VARCHAR"/>
        <result column="landmark_id" property="landmarkId" jdbcType="VARCHAR"/>
        <result column="thing_name" property="thingName" jdbcType="VARCHAR"/>
        <result column="thing_type" property="thingType" jdbcType="VARCHAR"/>
        <result column="rank_level" property="rankLevel" jdbcType="VARCHAR"/>
        <result column="allow_navigate" property="allowNavigate" jdbcType="VARCHAR"/>
        <result column="remark" property="remark" jdbcType="VARCHAR"/>
        <result column="icon" property="icon" jdbcType="VARCHAR"/>
        <result column="keyword" property="keyword" jdbcType="VARCHAR"/>
        <result column="image" property="image" jdbcType="VARCHAR"/>
        <result column="text_introduction" property="textIntroduction" jdbcType="VARCHAR"/>
        <result column="show_distance" property="showDistance" jdbcType="VARCHAR"/>
        <result column="template_id" property="templateId" jdbcType="VARCHAR"/>
        <result column="front_level_id" property="frontLevelId" jdbcType="VARCHAR"/>
        <result column="city_id" property="cityId" jdbcType="VARCHAR"/>
        <result column="area_id" property="areaId" jdbcType="VARCHAR"/>
        <result column="map_x" property="mapX" jdbcType="VARCHAR"/>
        <result column="map_y" property="mapY" jdbcType="VARCHAR"/>
        <result column="map_index" property="mapIndex" jdbcType="VARCHAR"/>
        <result column="orientation" property="orientation" jdbcType="VARCHAR"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            power,

            landmark_id,

            thing_name,

            thing_type,

            rank_level,

            allow_navigate,

            remark,

            icon,

            keyword,

            image,

            text_introduction,

            show_distance,

            template_id,

            front_level_id,

            city_id,

            area_id,

            map_x,

            map_y,

            map_index,

            orientation,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from thing_info
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from thing_info
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.ThingInfo" useGeneratedKeys="true"
            keyProperty="id">
        insert into thing_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="power!= null">
                power,
            </if>
            <if test="landmarkId!= null">
                landmark_id,
            </if>
            <if test="thingName!= null">
                thing_name,
            </if>
            <if test="thingType!= null">
                thing_type,
            </if>
            <if test="rankLevel!= null">
                rank_level,
            </if>
            <if test="allowNavigate!= null">
                allow_navigate,
            </if>
            <if test="remark!= null">
                remark,
            </if>
            <if test="icon!= null">
                icon,
            </if>
            <if test="keyword!= null">
                keyword,
            </if>
            <if test="image!= null">
                image,
            </if>
            <if test="textIntroduction!= null">
                text_introduction,
            </if>
            <if test="showDistance!= null">
                show_distance,
            </if>
            <if test="templateId!= null">
                template_id,
            </if>
            <if test="frontLevelId!= null">
                front_level_id,
            </if>
            <if test="cityId!= null">
                city_id,
            </if>
            <if test="areaId!= null">
                area_id,
            </if>
            <if test="mapX!= null">
                map_x,
            </if>
            <if test="mapY!= null">
                map_y,
            </if>
            <if test="mapIndex!= null">
                map_index,
            </if>
            <if test="orientation!= null">
                orientation,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                #{power,jdbcType=VARCHAR},
            </if>
            <if test="landmarkId != null">
                #{landmarkId,jdbcType=VARCHAR},
            </if>
            <if test="thingName != null">
                #{thingName,jdbcType=VARCHAR},
            </if>
            <if test="thingType != null">
                #{thingType,jdbcType=VARCHAR},
            </if>
            <if test="rankLevel != null">
                #{rankLevel,jdbcType=VARCHAR},
            </if>
            <if test="allowNavigate != null">
                #{allowNavigate,jdbcType=VARCHAR},
            </if>
            <if test="remark != null">
                #{remark,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                #{icon,jdbcType=VARCHAR},
            </if>
            <if test="keyword != null">
                #{keyword,jdbcType=VARCHAR},
            </if>
            <if test="image != null">
                #{image,jdbcType=VARCHAR},
            </if>
            <if test="textIntroduction != null">
                #{textIntroduction,jdbcType=VARCHAR},
            </if>
            <if test="showDistance != null">
                #{showDistance,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="frontLevelId != null">
                #{frontLevelId,jdbcType=VARCHAR},
            </if>
            <if test="cityId != null">
                #{cityId,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="mapX != null">
                #{mapX,jdbcType=VARCHAR},
            </if>
            <if test="mapY != null">
                #{mapY,jdbcType=VARCHAR},
            </if>
            <if test="mapIndex != null">
                #{mapIndex,jdbcType=VARCHAR},
            </if>
            <if test="orientation != null">
                #{orientation,jdbcType=VARCHAR},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.ThingInfo">
        update thing_info
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="power != null">
                power= #{power,jdbcType=VARCHAR},
            </if>
            <if test="landmarkId != null">
                landmark_id= #{landmarkId,jdbcType=VARCHAR},
            </if>
            <if test="thingName != null">
                thing_name= #{thingName,jdbcType=VARCHAR},
            </if>
            <if test="thingType != null">
                thing_type= #{thingType,jdbcType=VARCHAR},
            </if>
            <if test="rankLevel != null">
                rank_level= #{rankLevel,jdbcType=VARCHAR},
            </if>
            <if test="allowNavigate != null">
                allow_navigate= #{allowNavigate,jdbcType=VARCHAR},
            </if>
            <if test="remark != null">
                remark= #{remark,jdbcType=VARCHAR},
            </if>
            <if test="icon != null">
                icon= #{icon,jdbcType=VARCHAR},
            </if>
            <if test="keyword != null">
                keyword= #{keyword,jdbcType=VARCHAR},
            </if>
            <if test="image != null">
                image= #{image,jdbcType=VARCHAR},
            </if>
            <if test="textIntroduction != null">
                text_introduction= #{textIntroduction,jdbcType=VARCHAR},
            </if>
            <if test="showDistance != null">
                show_distance= #{showDistance,jdbcType=VARCHAR},
            </if>
            <if test="templateId != null">
                template_id= #{templateId,jdbcType=VARCHAR},
            </if>
            <if test="frontLevelId != null">
                front_level_id= #{frontLevelId,jdbcType=VARCHAR},
            </if>
            <if test="cityId != null">
                city_id= #{cityId,jdbcType=VARCHAR},
            </if>
            <if test="areaId != null">
                area_id= #{areaId,jdbcType=VARCHAR},
            </if>
            <if test="mapX != null">
                map_x= #{mapX,jdbcType=VARCHAR},
            </if>
            <if test="mapY != null">
                map_y= #{mapY,jdbcType=VARCHAR},
            </if>
            <if test="mapIndex != null">
                map_index= #{mapIndex,jdbcType=VARCHAR},
            </if>
            <if test="orientation != null">
                orientation= #{orientation,jdbcType=VARCHAR},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryThingInfoByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.ThingInfo">
        select
        <include refid="Base_Column_List"/>
        from thing_info
        <where>
            and del_flag = 'N'
            <if test="record.landMarkFlag != null and !&quot;&quot;.equals(record.landMarkFlag)">
                and (area_id is null or area_id = '')
            </if>
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.power != null and !&quot;&quot;.equals(record.power)">
                and power = #{record.power}
            </if>
            <if test="record.landmarkId != null and !&quot;&quot;.equals(record.landmarkId)">
                and landmark_id = #{record.landmarkId}
            </if>
            <if test="record.thingName != null and !&quot;&quot;.equals(record.thingName)">
                and thing_name = #{record.thingName}
            </if>
            <if test="record.thingType != null and !&quot;&quot;.equals(record.thingType)">
                and thing_type = #{record.thingType}
            </if>
            <if test="record.rankLevel != null and !&quot;&quot;.equals(record.rankLevel)">
                and rank_level = #{record.rankLevel}
            </if>
            <if test="record.allowNavigate != null and !&quot;&quot;.equals(record.allowNavigate)">
                and allow_navigate = #{record.allowNavigate}
            </if>
            <if test="record.remark != null and !&quot;&quot;.equals(record.remark)">
                and remark = #{record.remark}
            </if>
            <if test="record.icon != null and !&quot;&quot;.equals(record.icon)">
                and icon = #{record.icon}
            </if>
            <if test="record.keyword != null and !&quot;&quot;.equals(record.keyword)">
                and keyword = #{record.keyword}
            </if>
            <if test="record.image != null and !&quot;&quot;.equals(record.image)">
                and image = #{record.image}
            </if>
            <if test="record.textIntroduction != null and !&quot;&quot;.equals(record.textIntroduction)">
                and text_introduction = #{record.textIntroduction}
            </if>
            <if test="record.showDistance != null and !&quot;&quot;.equals(record.showDistance)">
                and show_distance = #{record.showDistance}
            </if>
            <if test="record.templateId != null and !&quot;&quot;.equals(record.templateId)">
                and template_id = #{record.templateId}
            </if>
            <if test="record.frontLevelId != null and !&quot;&quot;.equals(record.frontLevelId)">
                and front_level_id = #{record.frontLevelId}
            </if>
            <if test="record.cityId != null and !&quot;&quot;.equals(record.cityId)">
                and city_id = #{record.cityId}
            </if>
            <if test="record.areaId != null and !&quot;&quot;.equals(record.areaId)">
                and area_id = #{record.areaId}
            </if>
            <if test="record.mapX != null and !&quot;&quot;.equals(record.mapX)">
                and map_x = #{record.mapX}
            </if>
            <if test="record.mapY != null and !&quot;&quot;.equals(record.mapY)">
                and map_y = #{record.mapY}
            </if>
            <if test="record.mapIndex != null and !&quot;&quot;.equals(record.mapIndex)">
                and map_index = #{record.mapIndex}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR power LIKE concat('%',#{record.searchKey},'%')
                    OR landmark_id LIKE concat('%',#{record.searchKey},'%')
                    OR thing_name LIKE concat('%',#{record.searchKey},'%')
                    OR thing_type LIKE concat('%',#{record.searchKey},'%')
                    OR rank_level LIKE concat('%',#{record.searchKey},'%')
                    OR allow_navigate LIKE concat('%',#{record.searchKey},'%')
                    OR remark LIKE concat('%',#{record.searchKey},'%')
                    OR icon LIKE concat('%',#{record.searchKey},'%')
                    OR keyword LIKE concat('%',#{record.searchKey},'%')
                    OR image LIKE concat('%',#{record.searchKey},'%')
                    OR text_introduction LIKE concat('%',#{record.searchKey},'%')
                    OR show_distance LIKE concat('%',#{record.searchKey},'%')
                    OR template_id LIKE concat('%',#{record.searchKey},'%')
                    OR front_level_id LIKE concat('%',#{record.searchKey},'%')
                    OR city_id LIKE concat('%',#{record.searchKey},'%')
                    OR area_id LIKE concat('%',#{record.searchKey},'%')
                    OR map_x LIKE concat('%',#{record.searchKey},'%')
                    OR map_y LIKE concat('%',#{record.searchKey},'%')
                    OR map_index LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllThingInfo" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ThingInfo">
        select
        <include refid="Base_Column_List"/>
        from thing_info
        <where>
            and del_flag = 'N'
            <if test="landMarkFlag != null and !&quot;&quot;.equals(landMarkFlag)">
                and (area_id is null or area_id = '')
            </if>
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="landmarkId != null and !&quot;&quot;.equals(landmarkId)">
                and landmark_id = #{landmarkId}
            </if>
            <if test="thingName != null and !&quot;&quot;.equals(thingName)">
                and thing_name = #{thingName}
            </if>
            <if test="thingType != null and !&quot;&quot;.equals(thingType)">
                and thing_type = #{thingType}
            </if>
            <if test="rankLevel != null and !&quot;&quot;.equals(rankLevel)">
                and rank_level = #{rankLevel}
            </if>
            <if test="allowNavigate != null and !&quot;&quot;.equals(allowNavigate)">
                and allow_navigate = #{allowNavigate}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="keyword != null and !&quot;&quot;.equals(keyword)">
                and keyword = #{keyword}
            </if>
            <if test="image != null and !&quot;&quot;.equals(image)">
                and image = #{image}
            </if>
            <if test="textIntroduction != null and !&quot;&quot;.equals(textIntroduction)">
                and text_introduction = #{textIntroduction}
            </if>
            <if test="showDistance != null and !&quot;&quot;.equals(showDistance)">
                and show_distance = #{showDistance}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="cityId != null and !&quot;&quot;.equals(cityId)">
                and city_id = #{cityId}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="mapX != null and !&quot;&quot;.equals(mapX)">
                and map_x = #{mapX}
            </if>
            <if test="mapY != null and !&quot;&quot;.equals(mapY)">
                and map_y = #{mapY}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR power LIKE concat('%',#{searchKey},'%')
                    OR landmark_id LIKE concat('%',#{searchKey},'%')
                    OR thing_name LIKE concat('%',#{searchKey},'%')
                    OR thing_type LIKE concat('%',#{searchKey},'%')
                    OR rank_level LIKE concat('%',#{searchKey},'%')
                    OR allow_navigate LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR keyword LIKE concat('%',#{searchKey},'%')
                    OR image LIKE concat('%',#{searchKey},'%')
                    OR text_introduction LIKE concat('%',#{searchKey},'%')
                    OR show_distance LIKE concat('%',#{searchKey},'%')
                    OR template_id LIKE concat('%',#{searchKey},'%')
                    OR front_level_id LIKE concat('%',#{searchKey},'%')
                    OR city_id LIKE concat('%',#{searchKey},'%')
                    OR area_id LIKE concat('%',#{searchKey},'%')
                    OR map_x LIKE concat('%',#{searchKey},'%')
                    OR map_y LIKE concat('%',#{searchKey},'%')
                    OR map_index LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAllThingInfoAllInfo" parameterType="java.util.Map" resultMap="AllInfoResultMap">
        select
        <include refid="Base_Column_List"/>
        from thing_info
        <where>
            and del_flag = 'N'
            <if test="landMarkFlag != null and !&quot;&quot;.equals(landMarkFlag)">
                and (area_id is null or area_id = '')
            </if>
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="landmarkId != null and !&quot;&quot;.equals(landmarkId)">
                and landmark_id = #{landmarkId}
            </if>
            <if test="thingName != null and !&quot;&quot;.equals(thingName)">
                and thing_name = #{thingName}
            </if>
            <if test="thingType != null and !&quot;&quot;.equals(thingType)">
                and thing_type = #{thingType}
            </if>
            <if test="rankLevel != null and !&quot;&quot;.equals(rankLevel)">
                and rank_level = #{rankLevel}
            </if>
            <if test="allowNavigate != null and !&quot;&quot;.equals(allowNavigate)">
                and allow_navigate = #{allowNavigate}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="keyword != null and !&quot;&quot;.equals(keyword)">
                and keyword = #{keyword}
            </if>
            <if test="image != null and !&quot;&quot;.equals(image)">
                and image = #{image}
            </if>
            <if test="textIntroduction != null and !&quot;&quot;.equals(textIntroduction)">
                and text_introduction = #{textIntroduction}
            </if>
            <if test="showDistance != null and !&quot;&quot;.equals(showDistance)">
                and show_distance = #{showDistance}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="cityId != null and !&quot;&quot;.equals(cityId)">
                and city_id = #{cityId}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="mapX != null and !&quot;&quot;.equals(mapX)">
                and map_x = #{mapX}
            </if>
            <if test="mapY != null and !&quot;&quot;.equals(mapY)">
                and map_y = #{mapY}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR power LIKE concat('%',#{searchKey},'%')
                    OR landmark_id LIKE concat('%',#{searchKey},'%')
                    OR thing_name LIKE concat('%',#{searchKey},'%')
                    OR thing_type LIKE concat('%',#{searchKey},'%')
                    OR rank_level LIKE concat('%',#{searchKey},'%')
                    OR allow_navigate LIKE concat('%',#{searchKey},'%')
                    OR remark LIKE concat('%',#{searchKey},'%')
                    OR icon LIKE concat('%',#{searchKey},'%')
                    OR keyword LIKE concat('%',#{searchKey},'%')
                    OR image LIKE concat('%',#{searchKey},'%')
                    OR text_introduction LIKE concat('%',#{searchKey},'%')
                    OR show_distance LIKE concat('%',#{searchKey},'%')
                    OR template_id LIKE concat('%',#{searchKey},'%')
                    OR front_level_id LIKE concat('%',#{searchKey},'%')
                    OR city_id LIKE concat('%',#{searchKey},'%')
                    OR area_id LIKE concat('%',#{searchKey},'%')
                    OR map_x LIKE concat('%',#{searchKey},'%')
                    OR map_y LIKE concat('%',#{searchKey},'%')
                    OR map_index LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryThingInfo" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ThingInfo">
        select
        <include refid="Base_Column_List"/>
        from thing_info
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="power != null and !&quot;&quot;.equals(power)">
                and power = #{power}
            </if>
            <if test="landmarkId != null and !&quot;&quot;.equals(landmarkId)">
                and landmark_id = #{landmarkId}
            </if>
            <if test="thingName != null and !&quot;&quot;.equals(thingName)">
                and thing_name = #{thingName}
            </if>
            <if test="thingType != null and !&quot;&quot;.equals(thingType)">
                and thing_type = #{thingType}
            </if>
            <if test="rankLevel != null and !&quot;&quot;.equals(rankLevel)">
                and rank_level = #{rankLevel}
            </if>
            <if test="allowNavigate != null and !&quot;&quot;.equals(allowNavigate)">
                and allow_navigate = #{allowNavigate}
            </if>
            <if test="remark != null and !&quot;&quot;.equals(remark)">
                and remark = #{remark}
            </if>
            <if test="icon != null and !&quot;&quot;.equals(icon)">
                and icon = #{icon}
            </if>
            <if test="keyword != null and !&quot;&quot;.equals(keyword)">
                and keyword = #{keyword}
            </if>
            <if test="image != null and !&quot;&quot;.equals(image)">
                and image = #{image}
            </if>
            <if test="textIntroduction != null and !&quot;&quot;.equals(textIntroduction)">
                and text_introduction = #{textIntroduction}
            </if>
            <if test="showDistance != null and !&quot;&quot;.equals(showDistance)">
                and show_distance = #{showDistance}
            </if>
            <if test="templateId != null and !&quot;&quot;.equals(templateId)">
                and template_id = #{templateId}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="cityId != null and !&quot;&quot;.equals(cityId)">
                and city_id = #{cityId}
            </if>
            <if test="areaId != null and !&quot;&quot;.equals(areaId)">
                and area_id = #{areaId}
            </if>
            <if test="mapX != null and !&quot;&quot;.equals(mapX)">
                and map_x = #{mapX}
            </if>
            <if test="mapY != null and !&quot;&quot;.equals(mapY)">
                and map_y = #{mapY}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE thing_info SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.ThingInfo">
        select
        <include refid="Base_Column_List"/>
        from thing_info
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>

    <resultMap id="AllInfoResultMap" type="com.izouma.awesomeadmin.model.ThingInfo" extends="BaseResultMap">


        <association property="aimGroupInfo" javaType="com.izouma.awesomeadmin.model.AimGroupInfo"
                     select="com.izouma.awesomeadmin.dao.AimGroupInfoMapper.queryAimGroupInfoAllInfo"
                     column="{id = template_id}">
        </association>

    </resultMap>

</mapper>

